Skip to content
Browse files

Fix coverage

  • Loading branch information...
1 parent ee3cada commit faef08462f79af93819235cb1ef0bfe01e7343f7 Gilson Ferraz committed Aug 31, 2011
Showing with 7 additions and 9 deletions.
  1. +1 −3 test/test_helper.rb
  2. +6 −6 uncharted.gemspec
View
4 test/test_helper.rb
@@ -2,7 +2,6 @@
gem 'minitest'
require 'simplecov' # Must be included 1st
-
require 'minitest/autorun'
require 'purdytest'
@@ -15,9 +14,8 @@ def format(result)
end
end
-# SimpleCov.formatter = SimpleCov::Formatter::MergedFormatter
+SimpleCov.formatter = SimpleCov::Formatter::MergedFormatter
SimpleCov.start do
add_filter '/test/'
- formatter = SimpleCov::Formatter::MergedFormatter
end
View
12 uncharted.gemspec
@@ -11,18 +11,18 @@ Gem::Specification.new do |s|
s.description = "Provide ISO 3166 codes and english name for countries and their political divisions"
s.version = Uncharted::VERSION
- s.platform = Gem::Platform::RUBY
+ s.platform = Gem::Platform::RUBY
s.authors = ["Gilson Ferraz"]
s.email = ["gferraz@cenize.com"]
- s.files = `git ls-files`.split("\n")
- s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
s.executables = `git ls-files -- bin/*`.split("\n").map{|f| File.basename(f)}
-
+
s.required_ruby_version = '>= 1.9'
-
+
s.add_development_dependency 'minitest' # minitest latest gem
s.add_development_dependency 'purdytest' # colored tests for minitest https://github.com/tenderlove/purdytest
- s.add_development_dependency 'yard'
+ s.add_development_dependency 'yard' # Doc generator
end

0 comments on commit faef084

Please sign in to comment.
Something went wrong with that request. Please try again.